Bug 1126169 - papi-5.3.2 is available
Summary: papi-5.3.2 is available
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: papi
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: William Cohen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-03 03:07 UTC by Christopher Meng
Modified: 2014-08-12 04:47 UTC (History)
1 user (show)

Fixed In Version: papi-5.3.2-1.fc22 papi-5.3.2-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-12 04:47:49 UTC


Attachments (Terms of Use)

Description Christopher Meng 2014-08-03 03:07:34 UTC
Hi,

It's better to push a stable version to f2/f22 instead of a snapshot when upstream has released something:

http://icl.cs.utk.edu/papi/software/view.html?id=202

Thanks.

Comment 1 William Cohen 2014-08-04 16:25:32 UTC
Imported the current papi-5.3.2 and built it.

Note that need to either do backport some patches for papi_events.csv or for libpfm so don't get the following warnings for missing presets on Intel Ivy Bridge when running "/usr/share/papi/run_tests.sh":

Running ctests/forkexec2:PAPI Error: papi_preset: Error finding event L2_TRANS:D
EMAND_DATA_RD.
PAPI Error: papi_preset: Error finding event L2_RQSTS:ALL_DEMAND_REFERENCES.
ibwarn: [7460] umad_init: can't read ABI version from /sys/class/infiniband_mad/
abi_version (No such file or directory): is ib_umad module loaded?
PAPI Error: papi_preset: Error finding event L2_TRANS:DEMAND_DATA_RD.
PAPI Error: papi_preset: Error finding event L2_RQSTS:ALL_DEMAND_REFERENCES.
PAPI Error: papi_preset: Error finding event L2_TRANS:DEMAND_DATA_RD.
PAPI Error: papi_preset: Error finding event L2_RQSTS:ALL_DEMAND_REFERENCES.

Comment 2 Christopher Meng 2014-08-05 09:52:24 UTC
What about f21?


Note You need to log in before you can comment on or make changes to this bug.